# module ActiveRecord::Generators::Migration::ClassMethods

### Public Instance Methods

next_migration_number(dirname) click to toggle source

Implement the required interface for Rails::Generators::Migration.

    # File lib/rails/generators/active_record/migration.rb, line 11
    def next_migration_number(dirname)
      next_migration_number = current_migration_number(dirname) + 1
      ActiveRecord::Migration.next_migration_number(next_migration_number)
    end